## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

#
# spec file for package fake-hwclock
#
# Copyright (c) 2022 B1 Systems GmbH, Vohburg
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fake-hwclock
Version:        0.14
Release:        %autorelease
Summary:        Save/restore system clock on machines without working RTC hardware
License:        GPL-2.0-only
URL:            https://tracker.debian.org/pkg/%{name}
Source:         http://deb.debian.org/debian/pool/main/f/%{name}/%{name}_%{version}.tar.xz
Source1:        Makefile
Source2:        98-%{name}.preset
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  systemd-rpm-macros
BuildRequires:  rpmautospec-rpm-macros

%description
Some machines don't have a working realtime clock (RTC) unit, or no
driver for the hardware that does exist. fake-hwclock is a simple set
of scripts to save the kernel's current clock periodically (including
at shutdown) and restore it at boot so that the system clock keeps at
least close to realtime. This will stop some of the problems that may
be caused by a system believing it has travelled in time back to
1970, such as needing to perform filesystem checks at every boot.

On top of this, use of NTP is still recommended to deal with the fake
clock "drifting" while the hardware is halted or rebooting.

%prep
%autosetup -n git
cp -p %{SOURCE1} .

%build

%install
%make_install

mkdir -p %{buildroot}%{_presetdir}
install -m 0644 %{SOURCE2} %{buildroot}%{_presetdir}

%post
%systemd_post fake-hwclock-save.service
%systemd_post fake-hwclock-load.service
%systemd_post fake-hwclock-save.timer

%preun
%systemd_preun fake-hwclock-save.service
%systemd_preun fake-hwclock-load.service
%systemd_preun fake-hwclock-save.timer

%postun
%systemd_postun fake-hwclock-save.service
%systemd_postun fake-hwclock-load.service
%systemd_postun_with_restart fake-hwclock-save.timer


%files
%license COPYING
%doc debian/changelog debian/copyright
%doc %{_mandir}/man*/%{name}*
%config(noreplace) %{_sysconfdir}/default/%{name}
%{_presetdir}/98-%{name}.preset
%{_unitdir}/%{name}-load.service
%{_unitdir}/%{name}-save.service
%{_unitdir}/%{name}-save.timer
%{_sbindir}/%{name}

%changelog
## START: Generated by rpmautospec
* Tue Feb 18 2025 Luca Magrone <luca@magrone.cc> - 0.14-4
- Slightly raise preset priority to fix preset enablement

* Tue Feb 18 2025 Luca Magrone <luca@magrone.cc> - 0.14-3
- Fix systemd preset and macros

* Tue Feb 18 2025 Luca Magrone <luca@magrone.cc> - 0.14-2
- Fix systemd srpm macros

* Tue Feb 18 2025 Luca Magrone <luca@magrone.cc> - 0.14-1
- Update to version 0.14

* Mon Jun 10 2024 jonaski <> - 0.13-1
- Update fake-hwclock to version 0.13 / rev 1 via SR 1179652
## END: Generated by rpmautospec
